bullet_name1 = "bullet-robomom"
dofile_lua( bullet_name1 )
bullet_name2 = "missile-robomum"
dofile_lua( bullet_name2 )

-- leave me
	local actor = ACTOR_preload()
-- leave me

	-- default for this beastie
	actor[cp_actor_name]		= "robo-mom"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "robo-mom"

	actor[cp_move_type]			= cmt_random +  cmt_anim_to_move + cmt_anim_to_turn
	actor[cp_hit_power]			= 5.0

	actor[cp_score]				= 1500

	actor[cp_hit_delay]			= 5.0

	-- movement
	actor[cp_move_speed_min]	= 1.0
	actor[cp_move_speed_max]	= 1.0

	actor[cp_target_stop_dist]		= 15.0

	actor[cp_turn_lock_angle_inner]		= 40.0
	actor[cp_turn_lock_angle_outer]		= 50.0
--	actor[cp_turn_speed_still]			= 0.0
--	actor[cp_turn_acceleration_still]	= 0.01
--	actor[cp_turn_inertia_still]		= 0.0
--	actor[cp_turn_speed_moving]			= 0.1
--	actor[cp_turn_acceleration_moving]	= 0.01
--	actor[cp_turn_inertia_moving]		= 0.0

--	actor[cp_weight]				= 3.0
	actor[cp_launch_scale_min]		= 60.0
	actor[cp_launch_scale_max]		= 60.0

	actor[cp_health_percent]		= 450.0

	actor[cp_launch_hue_shift] = color - 50

	actor[cp_random_edge_inner_percent]	= 50.0
	actor[cp_random_edge_outer_percent]	= 90.0

	actor[cp_multiple_beast_shoot_rate]	= 50.0
	actor[cp_multiple_beast_base_num]	= 1.0

	actor[cp_difficulty_adjust_shoot]	= 35.0
	
	
	-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "puff", 265.0, 265.0, 0, 0 )
	c_add_particle_to_anim( "emerge", "partbone", "robo-mom_emerge" )
	c_add_particle_to_anim( "emerge", "partbone", "robo-mom_emergepad" )
	c_add_sound_to_anim( "emerge", "robo-mom_emerge" )
	c_add_particle_to_anim( "puff", "pufffront01", "robo-mom-puff" )
	c_add_particle_to_anim( "puff", "pufffront02", "robo-mom-puff" )
	c_add_particle_to_anim( "puff", "puffback01", "robo-mom-puff" )
	c_add_particle_to_anim( "puff", "puffback02", "robo-mom-puff" )

	c_set_use_anim_for( "move_forward", "walk", 30.0, 35.0 )
	c_set_use_anim_for( "turn_left", "turn-cc", 30.0, 35.0 )
	c_set_use_anim_for( "turn_right", "turn-cw", 30.0, 35.0 )
--	c_add_sound_to_anim( "mutate", "robo-g_mutate" )
	c_add_sound_to_anim( "walk", "robo-mom_walk" )
	c_add_sound_to_anim( "turn-cc", "robo-mom_walk" )
	c_add_sound_to_anim( "turn-cw", "robo-mom_walk" )
	c_add_sound_to_event( "hit_active_bone", "robo-mom_hit" )

	c_add_footprint_to_anim( "walk", "rectangle01", "2", 1.0, 3.2, 3.0 )
	c_add_footprint_to_anim( "walk", "rectangle02", "2", 4.0, 3.2, 3.0 )
	c_add_footprint_to_anim( "turn-cc", "rectangle01", "2", 4.0, 3.2, 2.0 )
	c_add_footprint_to_anim( "turn-cc", "rectangle02", "2", 1.0, 3.2, 2.0 )
	c_add_footprint_to_anim( "turn-cw", "rectangle02", "2", 4.0, 3.2, 2.0 )
	c_add_footprint_to_anim( "turn-cw", "rectangle01", "2", 1.0, 3.2, 2.0 )

	local seq = { 0.0 , 0.05, 0.1, 0.2, 0.35, 0.5, 0.7}
	c_set_use_explosion_for( "bye_bye", "robo_mom", exp_no_align, 30.0, 0.0, 2500.0, 3000.0, seq )
	c_add_sound_to_explosion( "robo_mom", "explode", "robo-mom-exp" )

	c_set_use_explosion_for( "bye_bye", "robo_mom_flash", exp_no_align, 0.0, 0.0, 4000.0, 4000.0, {0.0} )
	c_add_particle_to_explosion( "robo_mom_flash", "explode", "", "robo-mom_flash" )

	-- fires bullets inside cones

	local boo = WEAPON_preload( bullet_name1 )
	boo[w_gun_bone_name]		= "eye01"
	boo[w_shaft_bone_name]		= "eye01"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "no_bone_aim"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 65.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 45.0
	boo[w_reload_random]		= 0.0
	local seq = { 0.3 }
	WEAPON_add( boo, seq )

	local boo = WEAPON_preload( bullet_name1 )
	boo[w_gun_bone_name]		= "eye02"
	boo[w_shaft_bone_name]		= "eye02"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "no_bone_aim"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 65.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 45.0
	boo[w_reload_random]		= 0.0
	local seq = { 0.3 }
	WEAPON_add( boo, seq )

	local boo = WEAPON_preload( bullet_name2 )
	boo[w_gun_bone_name]		= "fgun1"
	boo[w_shaft_bone_name]		= "fgun1"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 1600.0
	boo[w_gun_type]				= "fire_from_bone"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 50.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 90.0
	boo[w_reload_random]		= 50.0
	local seq = { 0.5 }
	WEAPON_add( boo, seq )

	local boo = WEAPON_preload( bullet_name2 )
	boo[w_gun_bone_name]		= "fgun2"
	boo[w_shaft_bone_name]		= "fgun2"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 1600.0
	boo[w_gun_type]				= "fire_from_bone"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 50.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 90.0
	boo[w_reload_random]		= 50.0
	local seq = { 0.5 }
	WEAPON_add( boo, seq )

	local boo = WEAPON_preload( bullet_name2 )
	boo[w_gun_bone_name]		= "bgun1"
	boo[w_shaft_bone_name]		= "bgun1"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 1600.0
	boo[w_gun_type]				= "fire_from_bone"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 50.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 90.0
	boo[w_reload_random]		= 50.0
	local seq = { 0.5 }
	WEAPON_add( boo, seq )

	local boo = WEAPON_preload( bullet_name2 )
	boo[w_gun_bone_name]		= "bgun2"
	boo[w_shaft_bone_name]		= "bgun2"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 1600.0
	boo[w_gun_type]				= "fire_from_bone"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 50.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 90.0
	boo[w_reload_random]		= 50.0
	local seq = { 0.5 }
	WEAPON_add( boo, seq )


	c_set_trigger_mutate( bullet_name2, "my_health", 0.0, 0.0, 20, 20, 50.0, 50.0 )